指定したプレフィックスでフィルタリングしたカタログレコードを返します
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalogInfo": {
"columns": [
{
"name": "<string>",
"notEmpty": true,
"isPredefined": true,
"order": 123,
"title": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"description": "<string>",
"importFileName": "<string>",
"lastRecordsUpdateTime": "<string>",
"recordsCount": 123,
"usedInSkills": [
{
"skillId": "<string>",
"version": 123
}
]
},
"records": [
{
"externalId": "<string>",
"columnValues": {}
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}Catalogs
指定したプレフィックスでフィルタリングしたカタログレコードを返します
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
search
指定したプレフィックスでフィルタリングしたカタログレコードを返します
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
カタログID
クエリパラメータ
プレフィックスの値。最小長は 2 文字です。
Minimum string length:
2レスポンスで返されるレコードの最大数。 レスポンスで返すレコード数の上限。
ページング用のオフセットです。結果セットの取得を開始する前にスキップするレコード数を指定します。 ページネーションに使用するオフセットです。結果セットの取得を開始する前にスキップするレコード数を指定します。
このページは役に立ちましたか?
⌘I
